[Overview][Procedures and functions][Index] | Reference for unit 'strings' (#rtl)

# striscan

Scan a string for a character, case-insensitive

## Declaration

Source position: strings.pp line 71

`function striscan(`
`p: pchar;`
`c: Char`
`):pchar;`

## Description

striscan does the same as strscan but compares the characters case-insensitively. It returns a pointer to the first occurrence of the character c in the null-terminated string p, or Nil if c is not present in the string.

## See also

strscan |  | Find first occurrence of a character in a null-terminated string.
strriscan |  | Scan a string reversely for a character, case-insensitive

Documentation generated on: Feb 26 2014